Bug 812751 - Review Request: jglobus - Globus Java client libraries
Review Request: jglobus - Globus Java client libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 03:24 EDT by Mattias Ellert
Modified: 2012-10-11 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: jglobus-2.0.4-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 16:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2012-04-16 03:24:04 EDT
Spec URL: http://www.grid.tsl.uu.se/review/jglobus.spec
SRPM URL: http://www.grid.tsl.uu.se/review/jglobus-2.0.4-1.fc17.src.rpm

Description:
jglobus is a collection of Java client libraries for Globus Toolkit security, GRAM and GridFTP.

Note that this can only be built on Fedora 17 or later due to missing dependencies in earlier releases (springframework).
Comment 1 Mattias Ellert 2012-04-16 09:50:35 EDT
Successful koji scratch build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=3993372
Comment 2 Brendan Jones 2012-04-21 17:15:58 EDT
I'll take this on
Comment 3 Brendan Jones 2012-04-22 03:34:16 EDT
Hi Mattias 

I'have had a quick look and come up with a few things:

 - use %{name} macros in URL,Sources, Description tags
 - comment explaining patches
 - jglobus-2.0.4/ssl-proxies/src/main/java/org/globus/tools/GridCertRequest.java license is MIT
 - where can I find where the license file is packaged? It either needs to be in a base package that all subpackages require, or copied into each /usr/share/doc for each subpackage.
Comment 4 Brendan Jones 2012-04-22 03:54:48 EDT
We are looking pretty good here. Just need a clarification on the license,

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
jglobus.src: W: spelling-error Summary(en_US) Globus -> Globs, Globes, Glob's
jglobus.src: W: invalid-url Source0: jglobus-2.0.4.tar.gz
jglobus-gram.noarch: W: spelling-error Summary(en_US) Globus -> Globs, Globes, Glob's
jglobus-gram.noarch: W: spelling-error %description -l en_US Globus -> Globs, Globes, Glob's
jglobus-gram.noarch: W: no-documentation
jglobus-gridftp.noarch: W: spelling-error Summary(en_US) Globus -> Globs, Globes, Glob's
jglobus-gridftp.noarch: W: spelling-error %description -l en_US Globus -> Globs, Globes, Glob's
jglobus-gridftp.noarch: W: no-documentation
jglobus-gss.noarch: W: spelling-error Summary(en_US) Globus -> Globs, Globes, Glob's
jglobus-gss.noarch: W: spelling-error %description -l en_US Globus -> Globs, Globes, Glob's
jglobus-gss.noarch: W: no-documentation
jglobus-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
jglobus-jsse.noarch: W: spelling-error Summary(en_US) Globus -> Globs, Globes, Glob's
jglobus-jsse.noarch: W: spelling-error %description -l en_US Globus -> Globs, Globes, Glob's
jglobus-jsse.noarch: W: no-documentation
jglobus-ssl-proxies.noarch: W: spelling-error Summary(en_US) Globus -> Globs, Globes, Glob's
jglobus-ssl-proxies.noarch: W: spelling-error %description -l en_US Globus -> Globs, Globes, Glob's
jglobus-ssl-proxies.noarch: W: no-documentation
7 packages and 0 specfiles checked; 0 errors, 18 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
See comment 3
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[!]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
See Comment 3
[!]  License field in the package spec file matches the actual license.
License type:
[!]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
(if there is a license in the source or generated we should include it)
[!]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
Git OK
MD5SUM this package    :
MD5SUM upstream package:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[!]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
(See comment 3)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Comment 5 Mattias Ellert 2012-04-23 07:31:07 EDT
The packaging guidelines say:

"If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc."

There is no separate license text file in the git checkout, only license statements in the source files. The guideline above says that the packager should not create one if it is missing.

It was well spotted to find that one of the source file had a different license than all the others. I have changed the specfile accordingly.

I have also changed to use macros in more places than before, as requested.

http://www.grid.tsl.uu.se/review/jglobus-2.0.4-2.fc17.src.rpm
http://www.grid.tsl.uu.se/review/jglobus.spec
Comment 6 Brendan Jones 2012-04-23 07:42:33 EDT
Thanks for clarifying. This package is APPROVED.
Comment 7 Mattias Ellert 2012-04-23 18:16:08 EDT
Many thanks for the review.

New Package SCM Request
=======================
Package Name: jglobus
Short Description: Globus Java client libraries
Owners: ellert
Branches: f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-04-24 08:49:11 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-04-24 11:18:45 EDT
jglobus-2.0.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jglobus-2.0.4-2.fc17
Comment 10 Fedora Update System 2012-04-25 00:47:41 EDT
jglobus-2.0.4-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-05-02 16:49:46 EDT
jglobus-2.0.4-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Mattias Ellert 2012-10-11 04:32:38 EDT
Requesting EPEL branches.

Package Change Request
======================
Package Name: jglobus
Short Description: Globus Java client libraries
Owners: ellert
Branches: el5 el6
InitialCC:
Comment 13 Gwyn Ciesla 2012-10-11 06:49:44 EDT
Misformatted request.
Comment 14 Mattias Ellert 2012-10-11 07:45:08 EDT
Requesting EPEL branches.

Package Change Request
======================
Package Name: jglobus
Owners: ellert
Branches: el5 el6
Comment 15 Gwyn Ciesla 2012-10-11 07:57:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.